Subject: Re: bug#61748: 27.2; Eglot should use shell-file-name when launching the language server for a remote file

From: João Távora <[email-masked]>
Date: Tue, 28 Feb 2023 13:47:22 +0000

On Tue, Feb 28, 2023 at 1:05 PM Michael Albinus <[email-masked]> wrote:
>
> João Távora <[email-masked]> writes:
>
> Hi João,
>
> >>> Surely we can fix this in Tramp, so that it either considers this
> >>> variable's value just-in-time, or detects if there were changes to it
> >>> and reacts accordingly.  Can we not?
> >> Patches welcome.
> > Great.  I'd love to help, but I'm not familiar with how Tramp uses this
> > variable to "know" or set a remote path so that e.g. executable-find
> > finds it.
> >
> > Do you think it requires re-starting the Tramp connection for that file?
> > Or can we just tell the current connection: "hey, refresh your remote
> > PATH, because the variable has changed?"
> Anything goes. But I don't see why this is needed. A proper Tramp
> configuration in time is all what you need. People are familiar with
> this for decades.

Michael, it's become evident that people are using Tramp without
realizing that they are using Tramp.  I think this is great, and
you should be quite proud.  The "transparent" works! ... mostly
If  it's not quite perfect let's improve on it.  This is one of those points.

In this and in the other and yet in the other decade , I've
always appreciated when I don't need to restart my restart my
Emacs (ugh) because I worry about when variable values I'm
experimenting with are read.  This is a Lisp machine after all :-)

At the very least, the documentation of tramp-remote-path should
state that the variable doesn't take immediate effect and that
something must be done (is it really restarting Emacs, or is there
some M-x tramp-cleanup-* thing that has to be done?)

So, if "anything goes", is such a minimal docstring patch
acceptable?

João